Subject: Re: bug#45477: 27.1; RFE: Make full RSS fragments available for nnrss servers

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 31 Dec 2020 05:33:00 +0100

Tim Landscheidt <[email-masked]> writes:

> Even if the XML gets bloated when saved in nnrss-group-data
> (it holds one feed at most), IMHO almost all feeds will be
> small enough to be negligible in a typical Emacs/Gnus setup
> (the largest feed above holds data from February 2010 till
> now; usually feeds only contain the most recent x entries).

Doesn't nnrss-group-data store older entries, though?  I just skimmed
the nnrss code, and I didn't see any pruning...

>> I think a way to implement this would be to add an nnrss variable that
>> says what "extra" XML fields to store -- like (nnrss-extra-fields
>> '(itunes:episodeType ...)).
>
> That would allow my use case.

Patches welcome.  :-)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no